Author Topic: qOrbiter - loading Skin issue  (Read 1801 times)

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
qOrbiter - loading Skin issue
« on: October 21, 2012, 07:29:28 pm »
Hey...

qOrbiter is building fine.
When i select an Orbiter i get "... uses incompatible Qt library. (4.8.2) [release] ..."

http://pastebin.com/ASVAt08u

How can i ge around this problem?


thx,
ochorocho

coley

  • Guru
  • ****
  • Posts: 473
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #1 on: October 21, 2012, 11:40:47 pm »
According to your log
Code: [Select]
Skin loading has FAILED
(file:///home/jochen/src/qOrbiter/QOrbiter-build-4.7.4/qml/desktop/default/main.qml:2:1: plugin cannot be loaded for module "Qt.labs.shaders": The plugin '/home/jochen/src/qOrbiter/QOrbiter-build-4.7.4/imports/Qt/labs/shaders/libqmlshadersplugin.so' uses incompatible Qt library. (4.8.2) [release]
    import Qt.labs.shaders 1.0
    ^)
You have built qOrbiter using Qt 4.7.4 and the plugin was generated with a newer version.
What is your dev setup?

-Coley.

golgoj4

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1074
  • hrumpf!
    • View Profile
    • La Smarthomes - SoCal smarthome site
Re: qOrbiter - loading Skin issue
« Reply #2 on: October 22, 2012, 04:31:50 am »
According to your log
Code: [Select]
Skin loading has FAILED
(file:///home/jochen/src/qOrbiter/QOrbiter-build-4.7.4/qml/desktop/default/main.qml:2:1: plugin cannot be loaded for module "Qt.labs.shaders": The plugin '/home/jochen/src/qOrbiter/QOrbiter-build-4.7.4/imports/Qt/labs/shaders/libqmlshadersplugin.so' uses incompatible Qt library. (4.8.2) [release]
    import Qt.labs.shaders 1.0
    ^)
You have built qOrbiter using Qt 4.7.4 and the plugin was generated with a newer version.
What is your dev setup?

-Coley.

should be using the build from my dropbox repo. its much safer
https://www.dropbox.com/sh/6ucnrflo6w7ry8m/AecFEjsyVS.

That has the plugin and its safer to work against this right now as we are integrating the pi into the ecosystem

thanks for your patience
-golgoj4
« Last Edit: October 22, 2012, 04:34:33 am by golgoj4 »
Those people who tell you not to take chances, they are all missing what life's all about.

Wiki Hardware Page http://wiki.linuxmce.org/index.php/User:Langstonius

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #3 on: October 22, 2012, 10:11:20 am »
thx to both of you.

golgoj4, i'll try the dropbox build.

cheers,
ochorocho

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #4 on: October 22, 2012, 01:33:59 pm »
hm... cant start prebuild qorbiter:

Code: [Select]
jochen@vboxqorbiter:~/Desktop/test$ ./qorbiter-4.7.4-core-gl
./qorbiter-4.7.4-core-gl: error while loading shared libraries: libQtDeclarative.so.4: cannot open shared object file: No such file or directory

really annoying, i just want to start skinning :-( ... don't want to take care of all that real programming stuff behind the scenes ...

cheers,
ochorocho
« Last Edit: October 22, 2012, 01:37:08 pm by polly »

coley

  • Guru
  • ****
  • Posts: 473
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #5 on: October 22, 2012, 01:42:28 pm »
hm... cant start prebuild qorbiter:

Code: [Select]
jochen@vboxqorbiter:~/Desktop/test$ ./qorbiter-4.7.4-core-gl
./qorbiter-4.7.4-core-gl: error while loading shared libraries: libQtDeclarative.so.4: cannot open shared object file: No such file or directory

really annoying, i just want to start skinning :-( ... don't want to take care of all that real programming stuff behind the scenes ...

cheers,
ochorocho
what does "ldconfig -p" output?
-Coley.

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #6 on: October 22, 2012, 05:22:58 pm »
output of "ldconfig -p"

http://pastebin.com/i22hvFRR

cheers,
ochorocho

coley

  • Guru
  • ****
  • Posts: 473
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #7 on: October 22, 2012, 06:05:52 pm »
output of "ldconfig -p"

http://pastebin.com/i22hvFRR

cheers,
ochorocho
Ok - no libQtDeclarative.so found in there.
did you install the appropriate Qt linux libraries?
go here http://qt-project.org/downloads#qt-lib and download the ones that match the pre-built qOrbiter you download from golgoj4's Dropbox.

-Coley.

golgoj4

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1074
  • hrumpf!
    • View Profile
    • La Smarthomes - SoCal smarthome site
Re: qOrbiter - loading Skin issue
« Reply #8 on: October 23, 2012, 05:26:10 am »
fix incoming. standby. your building from the sdk and thats what had me confused for a sec.
Those people who tell you not to take chances, they are all missing what life's all about.

Wiki Hardware Page http://wiki.linuxmce.org/index.php/User:Langstonius

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #9 on: October 24, 2012, 09:31:26 am »
ok ... waiting for the fix. :-)

FYI, just bought a Acer Iconia Tab A210 - qOrbiter is up and running....

Skins for mobile devices are loaded directly from the core in /var/www/lmce-admin/skins/  ?

thx.

ochorocho

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2960
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: qOrbiter - loading Skin issue
« Reply #10 on: October 24, 2012, 11:47:11 am »
ochorocho,

nice info re the Acer tablet. Did you need to do anything else than downloading the apk? Maybe you could create a very short wiki page detailing exactly what was needed to get things going.

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #11 on: October 24, 2012, 12:47:51 pm »
posde, ok ... i'll write it....

It's not too bad.
just had to allow unsigned apps, and download the *.apk from golgoj4's dropbox.

cheers,
ochorocho

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #12 on: October 24, 2012, 09:37:16 pm »
Howto install qOrbiter on Acer Icona A210:
http://wiki.linuxmce.org/index.php/QOrbiter_Acer_Icona_A210

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2960
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: qOrbiter - loading Skin issue
« Reply #13 on: October 24, 2012, 11:18:14 pm »
Thx. How do you make sure the Qt libs are installed properly?

polly

  • Administrator
  • Guru
  • *****
  • Posts: 180
    • View Profile
Re: qOrbiter - loading Skin issue
« Reply #14 on: October 24, 2012, 11:27:25 pm »
Changed that line ...
* Make sure additional Qt libs downloaded properly! Watch the download till completed. First try failed for me.

no idea how to check the install.